import { PropsWithChildren, useState } from 'react'
import { View, Video, Navigator } from '@tarojs/components'
import useGetCustomClient from '@/hooks/useGetCustomClient'
import './index.less'

const WEB_VIEW_URL = 'plugin-private://wxf7261ed54f2e450e/pages/customPage/index'
const VIDEO_SRC = 'https://xycdn.yishihui.com/ad/prod/video/material_AD_1700025739_1700025739924.mp4'

function PqCustom({ width, zIndex }: PropsWithChildren<CustomPropsType>) {
  function onClick() {
  }

  return (
    <View className='pq-custom' onClick={onClick}>
      <View className='custom-container'>
        <View className='icon' style={{zIndex: (zIndex || 1) + 1}}>
          广告
        </View>
        <View className='close-icon'style={{zIndex: (zIndex || 1) + 1}}>
        </View>

        <Navigator url={WEB_VIEW_URL}>
          <Custom width={width} zIndex={zIndex} />
        </Navigator>
      </View>
    </View>
  )
}

function Custom({ width, zIndex }) {
  const [style, setStyle] = useState({ width: '0px', height: 'px', zIndex })

  useGetCustomClient((customClient) => {
    let clientWidth = customClient.width
    let clientHeight = customClient.height
    if (width) {
      clientWidth = width
      clientHeight = width / 375 * 667
    }

    setStyle({
      zIndex: zIndex || 1,
      width: `${clientWidth}px`,
      height: `${clientHeight}px`
    })
  })
  return (
    <View className='custom' style={style}>
      <Video className='custom-video' autoplay={false} controls={false} loop src={VIDEO_SRC} />
    </View>
  )
}

export default PqCustom
